import os
import subprocess
import sys

# Add the current directory to the Python path
sys.path.insert(0, os.path.dirname(os.path.abspath(__file__)))

from app.core.config import settings

# Ensure database directory exists
settings.DB_DIR.mkdir(parents=True, exist_ok=True)

print(f"Initializing database at {settings.SQLALCHEMY_DATABASE_URL}")

# Run Alembic migrations
subprocess.run(["alembic", "upgrade", "head"], check=True)

print("Database initialization completed.")
